Binary files linux-2.4.21-9.0.3.EL/drivers/scsi/.constants.c.swp and linux-2.4.21-9.0.3.EL-WIP/drivers/scsi/.constants.c.swp differ
diff -Nru linux-2.4.21-9.0.3.EL/drivers/scsi/constants.c linux-2.4.21-9.0.3.EL-WIP/drivers/scsi/constants.c
--- linux-2.4.21-9.0.3.EL/drivers/scsi/constants.c	2001-10-25 22:53:50.000000000 +0200
+++ linux-2.4.21-9.0.3.EL-WIP/drivers/scsi/constants.c	2004-07-26 16:52:19.000000000 +0200
@@ -796,7 +796,9 @@
     }
     
  done:
-#if !(CONSTANTS & CONST_SENSE)
+/* Enable raw sense byte printing.
+ * Originally by Fabien Collin. */
+#if (CONSTANTS & CONST_SENSE)
     printk("Raw sense data:");
     for (i = 0; i < s; ++i) 
 	printk("0x%02x ", sense_buffer[i]);
@@ -807,12 +809,20 @@
 
 void print_sense(const char * devclass, Scsi_Cmnd * SCpnt)
 {
+	print_Scsi_Cmnd(SCpnt);
 	print_sense_internal(devclass, SCpnt->sense_buffer,
 			     SCpnt->request.rq_dev);
 }
 
 void print_req_sense(const char * devclass, Scsi_Request * SRpnt)
 {
+	if (SRpnt->sr_command) {
+		/* FIXME(fuji): We have seen cases where sr_command was
+		 * NULL, e.g. USB floppy, not sure if it is legal or not,
+		 * but since print_Scsi_Cmnd() has no guards againts null
+		 * cmd we have to prevent an oops here. */
+		print_Scsi_Cmnd(SRpnt->sr_command);
+	}
 	print_sense_internal(devclass, SRpnt->sr_sense_buffer,
 			     SRpnt->sr_request.rq_dev);
 }
